org.apache.tapestry5.internal.webresources

## Class CSSMinimizer

- java.lang.Object
- - org.apache.tapestry5.internal.webresources.AbstractMinimizer
  - - org.apache.tapestry5.internal.webresources.CSSMinimizer

- All Implemented Interfaces:
    ResourceMinimizer

      public class CSSMinimizer
      extends AbstractMinimizer

  A wrapper around YUI Compressor. This module does not have a dependency on YUICompressor; isntead a local copy of the YUICompressor CSS minimizer is kept (because the reset of YUICompressor is painful to mix due to how it attempts to patch Rhino).

- - ### Field Summary

    - ### Fields inherited from class org.apache.tapestry5.internal.webresources.AbstractMinimizer

      `logger, tracker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSSMinimizer(org.slf4j.Logger logger, OperationTracker tracker, AssetChecksumGenerator checksumGenerator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.io.InputStream` | `doMinimize(StreamableResource resource)` Implemented in subclasses to do the actual work.

    - ### Methods inherited from class org.apache.tapestry5.internal.webresources.AbstractMinimizer

      `isEnabled, minimize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CSSMinimizer

          public CSSMinimizer(org.slf4j.Logger logger,
                              OperationTracker tracker,
                              AssetChecksumGenerator checksumGenerator)

  - ### Method Detail

    - #### doMinimize

          protected java.io.InputStream doMinimize(StreamableResource resource)
                                            throws java.io.IOException

      Description copied from class: `AbstractMinimizer`
      Implemented in subclasses to do the actual work.
      Specified by:
        `doMinimize` in class `AbstractMinimizer`
      Parameters:
        `resource` - content to minimize
      Returns:
        stream of minimized content
      Throws:
        `java.io.IOException`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.